Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.marklogic.xcc.exceptions
Class ContentInsertEntityException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.marklogic.xcc.exceptions.XccException
                  com.marklogic.xcc.exceptions.RequestException
                      com.marklogic.xcc.exceptions.RequestServerException
                          com.marklogic.xcc.exceptions.ContentInsertException
                              com.marklogic.xcc.exceptions.ContentInsertEntityException

All Implemented Interfaces:
  Serializable

    public class ContentInsertEntityException

extends ContentInsertException

This is a specialization of `ContentInsertException` that indicates the insertion faled because an XML entity embedded in the document could not be resolved. Entity resolution is not done by default, is must be enabled in the options ( `ContentCreateOptions`) associated with the insertion request. Entity resolution failures are not retryable.

See Also:
  Serialized Form

Constructor Summary
`ContentInsertEntityException(String message, Request request, Content content, String entityLocation)`
`ContentInsertEntityException(String message, Request request, Content content, String entityLocation, Throwable cause)`

Method Summary
`String` | `getEntityLocation()` Returns the location, as a URI String, of the requested entity.

Methods inherited from class com.marklogic.xcc.exceptions.ContentInsertException
`getContent, getContentUri`

Methods inherited from class com.marklogic.xcc.exceptions.RequestException
`appendRequestInfo, getRequest, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContentInsertEntityException

    public ContentInsertEntityException(String message,
                                        Request request,
                                        Content content,
                                        String entityLocation)

### ContentInsertEntityException

    public ContentInsertEntityException(String message,
                                        Request request,
                                        Content content,
                                        String entityLocation,
                                        Throwable cause)

Method Detail

### getEntityLocation

    public String getEntityLocation()

  Returns the location, as a URI String, of the requested entity.

  Returns:
    A URI String.

Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 MarkLogic Corporation, All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com